import request from "@/utils/request";

// 查询产品品类列表
export function listProductsCategory(query) {
  return request({
    url: "/business/productsCategory/list",
    method: "get",
    params: query,
  });
}

// 查询产品品类详细
export function getProductsCategory(id) {
  return request({
    url: "/business/productsCategory/" + id,
    method: "get",
  });
}

// 新增产品品类
export function addProductsCategory(data) {
  return request({
    url: "/business/productsCategory",
    method: "post",
    data: data,
  });
}

// 修改产品品类
export function updateProductsCategory(data) {
  return request({
    url: "/business/productsCategory",
    method: "put",
    data: data,
  });
}

// 删除产品品类
export function delProductsCategory(id) {
  return request({
    url: "/business/productsCategory/" + id,
    method: "delete",
  });
}
